package com.rizla.android;
import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.LinearLayout.LayoutParams;


public class RButton extends Button{

	public RButton(Context context, final WebView mWebView, final int id, String title) {
		super(context);
		setText(title);
		setId(id);
		LayoutParams p = new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT,1f);
		setLayoutParams(p);
		setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View arg0) {
				mWebView.loadUrl("javascript:$(':eq("+id+")').click()");	
			}
		});
	}
	
	public RButton(Context context, AttributeSet attrs, int defStyle, final WebView mWebView, final int id, String title) {
		super(context,attrs,defStyle);
		setText(title);
		setId(id);
		LayoutParams p = new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT,1f);
		setLayoutParams(p);
		setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View arg0) {
				mWebView.loadUrl("javascript:$(':eq("+id+")').click()");	
			}
		});
	}
}


