package com.rizla.android;

import android.content.Context;
import android.view.View;
import android.webkit.WebView;
import android.widget.LinearLayout;
import android.widget.LinearLayout.LayoutParams;

public class RLayout extends LinearLayout{

	public RLayout(Context context, final WebView mWebView ,final int id, String type) {
		super(context);
		if (type.equals("horizontal")){
			setOrientation(LinearLayout.HORIZONTAL);
		}
		else
			setOrientation(LinearLayout.VERTICAL);
		LayoutParams p = new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT,1f);
		setLayoutParams(p);
		setId(id);
		setOnClickListener(new OnClickListener(){
			
			@Override
			public void onClick(View v) {
				mWebView.loadUrl("javascript:$(':eq("+id+")').click()");
			}
    	});
	}

}
