package com.rizla.android;

import org.json.JSONObject;

import android.content.Context;
import android.webkit.WebView;

public abstract class Plugin {
	
	private WebView mWebView;
	protected Context mContext;
	
	public Plugin(WebView mWebView, Context mContext){
		this.mWebView = mWebView;
		this.mContext = mContext;
	}
	
	public void execJS(String js){
		this.mWebView.loadUrl("javascript:"+js);
	}
	
	public abstract Object run(JSONObject json);
}
