package com.rizla.android;

import android.content.Context;
import android.content.Intent;
import android.util.AttributeSet;
import android.view.View;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.LinearLayout.LayoutParams;

public class RLink extends Button{

	public RLink(final Context context, final WebView mWebView, final int id, String title, final String url) {
		super(context);
		setText(title);
		setId(id);
		LayoutParams p = new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT,1f);
		setLayoutParams(p);
		setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View arg0) {
				Intent intent = new Intent(context,RizlaActivity.class);
				intent.putExtra("url",url);
			    context.startActivity(intent);
				//mWebView.loadUrl("file:///android_asset/www/src/"+url);		
			}
		});
	}
	
	public RLink(final Context context, AttributeSet attrs, int defStyle, final WebView mWebView, final int id, String title, final String url) {
		super(context,attrs,defStyle);
		setText(title);
		setId(id);
		LayoutParams p = new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT,1f);
		setLayoutParams(p);
		setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View arg0) {
				Intent intent = new Intent(context,RizlaActivity.class);
				intent.putExtra("url",url);
			    context.startActivity(intent);
				//mWebView.loadUrl("file:///android_asset/www/src/"+url);		
			}
		});
	}
}
