package com.rizla.plugin.rizlaextra;

import org.json.JSONException;
import org.json.JSONObject;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build;
import android.os.Vibrator;
import android.webkit.WebView;

import com.rizla.android.Plugin;

public class RizlaVibrator extends Plugin{

	private Vibrator v;
	
	public RizlaVibrator(WebView mWebView, Context mContext) {
		super(mWebView, mContext);
		this.v = (Vibrator) mContext.getSystemService(Context.VIBRATOR_SERVICE);
	}

	@TargetApi(Build.VERSION_CODES.HONEYCOMB)
	@Override
	public Object run(JSONObject time_data) {
		try {
			int time = time_data.getInt("time");
			if (this.v.hasVibrator()){
				this.v.vibrate(time);
			}
		} catch (JSONException e) {
			e.printStackTrace();
		}
		
		return null;
	}

}
